## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/libimobiledevice/libimobiledevice-glue
%global commit 1d9046fbd02482cf44138038779847b9ea67c867
%global date 20241202
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           libimobiledevice-glue
Version:        1.3.1^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Library with common code among libimobiledevice projects

License:        LGPL-2.1-or-later
URL:            https://github.com/libimobiledevice/libimobiledevice-glue
Source:         %{forgeurl}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

BuildRequires:  libplist-devel

%description
The libimobiledevice-glue library is library with common code used by libraries
and tools around the libimobiledevice project.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{commit}

%if %{defined commit}
echo %{version} > .tarball-version
%endif

%build
./autogen.sh --disable-static --prefix=%{_prefix} --libdir=%{_libdir} --enable-debug
%make_build

%install
%make_install

%check
make check

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/%{name}-1.0.so.0*

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%changelog
## START: Generated by rpmautospec
* Wed Oct 09 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1; Fixes: RHBZ#2317670

* Sun Sep 29 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0; Fixes: RHBZ#2265673

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 27 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.0-1
- Initial import; Fixes: RHBZ#2227086
## END: Generated by rpmautospec
